MMC:CFG_1.0::
#
#
TP_CLIENTS = AUTH_CLIENTS:
-name his -permission HIS_PERMISSION
#
#
HIS_PERMISSION = AUTH_CLIENT_PERMISSION:
-name RESTORE -text_id 8,164 -userlevel PROGRAMMER -confirm YES
-name FINECALIB -text_id 8,2 -userlevel OPERATOR -confirm YES

# ---- HotEdit sleepbtn flag -----
MMC_HIM_SLEEPBTN:
-name SLEEPBTNFLAG -text_id 8,198 -mode 0

#
#
# Support to change authorize parameters
#
MMC_TYPE:
-domain_type HIS_PERMISSION -text_id 8,163 \
-attributes_id HIS_MMC_ATTRIBUTES \
-outline_type MMC_OUTLINE -outline_inst_name mmc_his_outline
#
-domain_type MMC_HIM_SLEEPBTN -text_id 8,198  -add_f 0 \ 
-attributes_id MMC_HIM_SLEEPBTN_ATTRIBUTES \
-outline_type MMC_OUTLINE -outline_inst_name sleepbtn_outline


#
HIS_MMC_ATTRIBUTES = MMC_ATTRIBUTE:
-attribute_id name -text_id 1,84 -present_type SIMPLE_TEXT_ID \
-change_type NONE

-attribute_id userlevel -text_id 1,85 -present_type SIMPLE \
-change_type CHOICE_LIST -choices_type_name MMC_USER_LEVELS

-attribute_id confirm -text_id 1,86 -present_type SIMPLE \
-change_type CHOICE_LIST -choices_type_name MMC_CONFIRM
#
# ---- Sleep button Flag ----
MMC_HIM_SLEEPBTN_ATTRIBUTES = MMC_ATTRIBUTE:
-attribute_id name -text_id 1,47 -present_type SIMPLE_TEXT_ID \
-change_type NONE
-attribute_id mode -text_id 8,200 -present_type SIMPLE \
-change_type FKBAR -fkbar_id MMC_SLEEPBTN_TYPE_FKBAR
#

#
MMC_OUTLINE:
-Name mmc_his_outline -dsp_parms 1,2,3 -header_id 1,87
-Name sleepbtn_outline -dsp_parms 1 -header_id 34,23


MMC_SLEEPBTN_TYPE_FKBAR = MMC_FKEY:
-text_id 34,24 -fktype SETA -setcode 1
-text_id 34,25 -fktype SETA -setcode 0
